org.eclipse.emf.cdo.view

## Interface CDORegistrationHandler

- All Known Implementing Classes:
    CDORegistrationHandler.Default

      public interface CDORegistrationHandler

  Call-back handler used by `views` to tell implementors of this interface about registrations and deregistrations of `objects` with `views`.
  Since:
    4.6
  Author:
    Eike Stepper
  See Also:
    `CDOView.addRegistrationHandler(CDORegistrationHandler)`, `CDOView.removeRegistrationHandler(CDORegistrationHandler)`, `CDOView.isObjectRegistered(org.eclipse.emf.cdo.common.id.CDOID)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDORegistrationHandler.Default`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `objectCollected(CDOView view, CDOID id)`
    `void` | `objectDeregistered(CDOView view, CDOObject object)`
    `void` | `objectRegistered(CDOView view, CDOObject object)`

- - ### Method Detail

    - #### objectRegistered

          void objectRegistered(CDOView view,
                                CDOObject object)

    - #### objectDeregistered

          void objectDeregistered(CDOView view,
                                  CDOObject object)

    - #### objectCollected

          void objectCollected(CDOView view,
                               CDOID id)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html